<template>
    <footer>

        <!-- <div class="big-screen-footer">
            <div class="container" style="margin-top: 80px; padding: 40px 0px;">
                <div class="row big-screen-footer">
                    <div class="col-4 col-4-2">
                        <h3>Onic Techonology</h3>
                        <ul class="mt-4">
                            <li>
                                <a href="#"><i class="bi bi-telephone"></i> &nbsp;+855 10878206</a>
                            </li>
                            <li>
                                <a href="#"><i class="bi bi-map"></i>  &nbsp;Royal University Of Phnom Penh</a>
                            </li>
                        </ul>
                        
                    </div>
                    <div class="col-4 col-4-2">
                        <h3>Menu</h3>
                        <ul class="mt-4">
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;Categories</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;Products</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;CONTACT US</a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-4 col-4-2">
                        <h3>Social Media</h3>
                        <ul class="mt-4">
                            <li>
                                <a href=""><i class="bi bi-facebook"></i> &nbsp;Facebook</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-telegram"></i> &nbsp;Telegram</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-instagram"></i> &nbsp;Instagram</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div style="background-color: black; text-align: center;" class="p-3 big-screen-footer">
            @Onic 2023 | All right reverse
        </div> -->


        <div class="mobile-bottom-bar">
            <div class="container">
                <div class="row">
                    <ul class="d-flex justify-content-between" style="padding: 0px 30px;">
                        <li>
                            <nuxt-link to="/">
                                <i class="bi bi-house"></i>
                                <div>
                                    HOME
                                </div>
                            </nuxt-link>
                        </li>
                        <li>
                            <nuxt-link to="categories">
                                <i class="bi bi-card-list"></i>
                                <div>
                                    Categories
                                </div>
                            </nuxt-link>
                        </li>

                        <li>
                            <nuxt-link to="products">
                                <i class="bi bi-phone"></i>
                                <div>
                                    Products
                                </div>
                            </nuxt-link>
                        </li>

                        <li>
                            <nuxt-link to="contact">
                                <i class="bi bi-person-vcard"></i>
                                <div>
                                    Contact Us
                                </div>
                            </nuxt-link>
                        </li>
                    </ul>
                </div>
            </div>

        </div>
    </footer>

</template>
  
<script>
export default {
    
// Your component logic here
}
</script>
<style>
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css");
@import url('https://fonts.googleapis.com/css2?family=Exo+2&family=Hanuman&family=Raleway:wght@600&display=swap');

/* global */
*{
    font-family: 'Raleway';
    font-size: 13px;
}
.mobile{
    display: none;
}
.mobile-bottom-bar{
    display: none;
}
:root{
    ---color--dark: #1f2937;
}
ul{
    padding: 0px;
    margin: 0px;
}
body{
    background-color: #f2f3f8;
}
.grey-color-text{
    color: rgb(130, 123, 123);
}
img{
    object-fit: cover;
    object-position: left;
    object-position: top;
}


/* header */
nav ul{
    list-style-type: none;
}
nav ul li a{
    display: block;
    text-decoration: none;
    color: black;
    padding: 5px 10px;
    font-weight: 600 !important;
}
nav ul li a:nth-child(1){
    padding-left: 0px !important;
}
header{
    position: sticky;
    top: 0px;
    z-index: 99999999;
    background-color: white;
}
.right-menu{
    height: 100%;
}
.search-field{
    width: 200px;
}
header h4{
    font-weight: bold !important;
    height: 100%;
}


/* marquee */
marquee{
    padding: 10px 0px;
    font-size: 14px;
}


/* slide */
.carousel-item img{
    height: 500px !important;
}

.main-thumbnail-title{
    background-color: #1f2937;
    color: white;
    font-size: 20px;
}
.carousel-caption h5, .carousel-caption p{
    text-align: left;
    color: black;
}
.carousel-caption h5{
    font-size: 30px;
}
.carousel-caption {
    left: 5%;
    top: 10% !important;
    width: 200px;
    font-weight: bold;
}
.categories .col-1 div{
    background-color: white;
    text-align: center !important;
}
.categories .col-1 img{
    height: 60px;
    margin-bottom: 8px;
}
.thumbnail-categories{
    color: #dc9a74;
}
.thumbnail-price{
    color: #2b2b2d !important;
}
.card{
    transition: 0.3s;
}
.card:hover{
    transform: scale(1.02);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.card:hover .option-product{
    right: 10px;
}
.card img{
    height: 250px;
    object-fit:contain;
    object-position: center;
}
.card-container a{
    text-decoration: none;
    color: black;
}
.container-thumbnail-card{
    border-radius: 5px;
}
.promote-box{
    position: absolute;
    width: 120px;
    left: -40px;
    padding: 8px;
    color: white;
    background-color: #9d2222;
    transform: rotate(-50deg);
    text-align: center;
}
.card{
    overflow: hidden;
    position: relative;
}

.slide-latest img{
    object-fit: contain;
    object-position: center !important;
}
.latest-product ul{
    list-style-type: none;
}
.more-product-latest{
    color: #dc9a74;
}

footer{
    background-color: #222734;
    color: white;
}
footer .big-screen-footer a{
    color: rgb(209, 197, 197);
    text-decoration: none;
    display: block;
    font-size: 16px;
    padding: 10px 5px;
    
}
footer ul{
    list-style-type: none;
}
footer .big-screen-footer a:hover{
    color: white !important;
}
footer .big-screen-footer a:hover i{
    margin-right: 10px;
}
footer .big-screen-footer a i{
    transition: 0.3s;
}

.mobile .col-8{
    font-size: 17px !important;
}
.mobile .col-4 button{
    font-size: 17px !important;
    color: black;
}
.mobile-bottom-bar ul li a{
    color: black;
    display: block;
    text-align: center;
}
.mobile-bottom-bar ul li a div{
    font-size: 10px !important;
}
.mobile-bottom-bar ul li a i{
    font-size: 18px;
    display: block;
    margin-bottom: 3px !important;
}
.login-btn{
    background-color: #9d2222;
    color: white !important;
}

#search-dark{
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.794);
    position: fixed;
    top: -100%;
    z-index: 99999999;
    left: 0px;
    transition: 0.3s;
    display: flex;
    opacity: 0;
    align-items: center;
    justify-content: center;
}
#search-dark input{
    border-bottom: 1px solid white !important;
    background-color: rgba(0, 0, 0, 0) !important;
    color: white;
}
#search-dark input::placeholder {
    color: white;
    opacity: 1; /* Firefox */
}
.navbar-icon i{
    font-size: 20px !important;
}
.social-login{
    text-align: center;
}
.social-login i{
    font-size: 30px;
}
.btn-search{
    color: white;
    margin-left: 10px;
    padding: 13px;
    border: 1px solid white;
    background: none;
}
.mobile-bottom-bar ul li a:active{
    color: black !important;
}
.mobile-bottom-bar ul li a:hover{
    color: black;
}
.mobile-bottom-bar ul li i{
    font-size: 18px !important;
}
.img-cateogires div img{
    height: 200px !important;
    object-fit: contain !important;
}
.categories-page .col-3{
    margin-bottom: 20px;
}
.title-category-page{
    font-size: 20px !important;
}
.categories-page a{
    color: black;
    text-decoration: none;
}
.img-cateogires img{
    transition: 0.3s;
}
.img-cateogires:hover img{
    transform: scale(0.9);
}
.title-category-page{
    margin-top: 20px;
}
.option-product{
    right: -100px;
    transition: 0.3s;
    top: 10px;
}
.option-product button{
    border-radius: 5px;
    border: none;
    padding: 5px 10px;
    margin-bottom: 10px;
    margin-right: 0px;
}
.filtering .col-2{
    padding: 10px;
}
.mobile-bottom-bar a:active{ 
    color: black !important;
    margin-bottom: 0px !important;
    margin-right: 0px;

}
.mobile-bottom-bar a{
    text-decoration: none;
    display: block;
    padding: 6px;
    font-size: 20px !important;
}
.mobile-bottom-bar a:hover{
    color: black !important;
    margin-right: 0px;
}
.mobile-bottom-bar a i:hover{
    margin-right: 0px;

}
.mobile-bottom-bar a i{
    margin-right: 0px;
    padding: 0px !important;
}
.mobile-bottom-bar a i:active{
    margin-right: 0px;
}
.mobile-margin{
    margin-top: 39px;
}
.mobile-menu-categories{
    display: none;
}
.categories a{
    color: black;
    text-decoration: none;
}
/*responsive code*/
/*mobile phone*/
@media (max-width: 575px) {
    .col-5 , .col-7{
        width: 100%;
    }
    #search-dark{
        display: block;
    }
    .big-screen{
        display: none;
    }
    .carousel-item img{
        height: 200px !important;
        object-fit: cover;
    }
    .mobile{
        display: block !important;
    }
    .mobile-slide{
        margin-top: 0px !important;
        padding: 0px;
    }
    .col-1{
        width: 33%;
        margin-bottom: 16px;
    }
    .col-1 img{
        object-fit: contain;
        height: 100px !important;
    }
    .col-2{
        width: 50%;
        margin-bottom: 16px;
    }
    .col-6{
        width: 100%;
    }
    .col-2 img{
        height: 200px;
    }
    .col-6 .carousel-item img{
        height: 400px !important;
    }
    .latest-product{
        padding: 16px !important;
    }
    .col-4-2{
        width: 100%;
    }
    .big-screen-footer{
        display: none;
    }
    footer{
        color: black;
        background-color: white;
    }
    .mobile-bottom-bar{
        display: block;
        position: fixed;
        bottom: 0px;
        left: 0px;
        background-color: white;
        width: 100%;
        box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;

    }
    .google-map{
        margin-top: 16px;
    }
    .categories-page .col-3{
        width: 50%;
    }
    .img-cateogires div img{
        height: 100px !important;
    }
    .breadcrumb-mobile{
        margin: 10px 0px !important;
        margin-top: 20px !important;
    }
    .categories-page .img-cateogires{
        border-radius: 7px !important;
    }
    .map-home-screen{
        display: none !important;
    }
    .latest-product-home{
        margin-bottom: 100px !important;
    }
    footer a i {
        margin: 0px !important;
    }
    .mobile-margin{
        margin-top: 12px !important;
    }
    .mobile-turn-off-cateogires{
        display: none;
    }
    .col-9{
        width: 100%;
    }
    .mobile-menu-categories{
        display: block;
    }
}


/*ipad*/
@media (min-width: 768px) and (max-width: 991px) {
    
} 

/*ipad pro*/
@media (min-width: 992px) and (max-width: 1199px) {
    
} 

/*laptop*/
@media (min-width: 1200px)  {
    
}
</style>
  